using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Reservtion
{
    public partial class ChangePassword : Form
    {
        RConection r;
        public ChangePassword(RConection r1)
        {
            r = r1;
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string s="";
            if (textBox1.Text!="" && textBox2.Text!="" && textBox3.Text!="" && textBox4.Text!="" && textBox1.Text == textBox2.Text && textBox3.Text == textBox4.Text)
            {
                try
                {
                    r.cmd.CommandText = "Pchange @UserName=N'" + Program.PUser.userName + "',@AccessType='رزروشن'";
                    r.conn.Open();
                    s = r.cmd.ExecuteScalar().ToString();
                    r.conn.Close();
                }
                catch (SqlException ex)
                {
                    MessageBox.Show(ex.Message);
                }

                //if (dt.Rows.Count == 1)
                //{
                    if (s == textBox1.Text)
                    {
                        if (MessageBox.Show("آیا از صحت کلمه عبور جدید اطمینان دارید؟", "تغییر کلمه عبور", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button2) == DialogResult.Yes)
                        {
                            try
                            {
                                r.cmd.CommandText = "update dbo.Log_in SET Password=N'" + textBox3.Text + "'where UserName=N'" + Program.PUser.userName + "'";
                                r.conn.Open();
                                r.cmd.ExecuteNonQuery();
                                r.conn.Close();
                                MessageBox.Show("تغییر کلمه عبور با موفقیت انجام شد", "تغییر کلمه عبور", MessageBoxButtons.OK, MessageBoxIcon.Asterisk, MessageBoxDefaultButton.Button1);
                                this.Dispose();
                            }
                            catch (SqlException ex)
                            {
                                MessageBox.Show(ex.Message);
                            }
                        }
                    }
                    else
                    {
                        MessageBox.Show("!!!اطلاعات وارد شده صحیح نیستند", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1);
                        textBox1.Text = ""; textBox2.Text = ""; textBox3.Text = ""; textBox4.Text = "";
                        textBox1.Focus();
                    }
                //}
                //else
                //{
                //    MessageBox.Show("ورود غیر مجاز", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1);
                //    Application.Exit();
                //}
            }
            else
            {
                MessageBox.Show("!!!اطلاعات وارد شده صحیح نیستند", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1);
                textBox1.Text = ""; textBox2.Text = ""; textBox3.Text = ""; textBox4.Text = "";
                textBox1.Focus();
            }
        }
    }
}
